Subject: Re: bug#51744: 29.0.50; void symbol emoji-describe

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 11 Nov 2021 13:00:08 +0100

Robert Pluim <[email-masked]> writes:

>     Lars> Oh, great -- I didn't know that.  I grepped for "ldefs-boot"
>     Lars> in the tree
>     Lars> to see whether we had any instructions concerning that file, but I
>     Lars> didn't find anything.  (I did find the ./admin/update_autogen script,
>     Lars> and tried running it, but it failed here.)
>
> loadup.el:185

Oh, right.  🤐

> What failed? If you have a clean tree, and run 'admin/update_autogen -L'
> it will regenerate ldefs-boot.el

I tried it with no parameters -- I don't remember what failed.

>     Lars> Perhaps we should mention this somewhere?  But I'm not sure where --
>     Lars> CONTRIBUTE doesn't seem to be quite the right place.
>
> People who know, know, and people who donʼt know won't know where to
> look (and then thereʼs me, who forgets, and has to go re-read
> loadup.el 😊). CONTRIBUTE is better than not documenting it (although
> maybe it should go in 'admin/release-process' as well).

I put the note into lisp/loaddefs.el itself (and thereby in
lisp/ldefs-boot.el), which should be even easier to find.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no